/*=============================================
EDITAR  VEHICULO
=============================================*/
$(document).on("click", ".btnEditarVehiculo", function(){

	var idVehiculo = $(this).attr("idVehiculo");
	
	var datos = new FormData();

	datos.append("idVehiculo", idVehiculo);

	$.ajax({

		url:"ajax/vehiculo.ajax.php",
		method: "POST",
		data: datos,
		cache: false,
		contentType: false,
		processData: false,
		dataType: "json",
		success: function(respuesta){
			
			$("#EditarMarca").val(respuesta["marca"]);
			$("#EditarPlaca").val(respuesta["placa"]);
            $("#idVehiculo").val(respuesta["id_vehiculo"]);
			
		}

	});

})

/*=============================================
EDITAR  ZONA
=============================================*/
$(document).on("click", ".btnEditarZona", function(){

	var idZona = $(this).attr("idZona");
	
	var datos = new FormData();

	datos.append("idZona", idZona);

	$.ajax({

		url:"ajax/zona.ajax.php",
		method: "POST",
		data: datos,
		cache: false,
		contentType: false,
		processData: false,
		dataType: "json",
		success: function(respuesta){
			
			$("#idZona").val(respuesta["id"]);
			$("#editarCodigo").val(respuesta["codigo"]);
			$("#editarZona").val(respuesta["descripcion"]);
			
		}

	});

})


/*=============================================
ELIMINAR VEHICULO
=============================================*/
$(document).on("click", ".btnEliminarVehiculo", function(){

	var idVehiculo= $(this).attr("idVehiculo");
  
	swal({
	  title: '¿Está seguro de borrar el Vehiculo?',
	  text: "¡Si no lo está puede cancelar la accíón!",
	  type: 'warning',
	  showCancelButton: true,
	  confirmButtonColor: '#3085d6',
		cancelButtonColor: '#d33',
		cancelButtonText: 'Cancelar',
		confirmButtonText: 'Si, borrar Vehiculo!'
	}).then(function(result){
  
	  if(result.value){
  
		window.location = "index.php?ruta=vehiculo&idVehiculo="+idVehiculo;
  
	  }
  
	})
  
  })